Skip to main content
Back to API List

Get Campaign Status API

Retrieves the current status of a specific campaign using its campaign ID. Use this API to check whether a campaign is active, stopped, or in another state.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{IID}}/campaign/{{campaignId}}/status?view=status
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
IIdThe Application ID.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameter

ParameterDescriptionType
viewValue must be status to retrieve status only.string, optional

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{IID}}/campaign/{{campaignId}}/status?view=status' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--header 'auth: <token>'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "success",
    "data": {
        "id": "cd-0e0475b-a418-400d-9164-21eb7e89xxxx",
        "status": "Stopped",
        "name": "Voice From API- With Preview Dialing Mode- 2"
    }
}

Response Body Parameters

ParameterDescriptionType
statusAPI call result. Value: "success" or "failure".string
data.idCampaign ID.string
data.statusCurrent campaign status (for example, Active, Stopped).string
data.nameThe campaign name.string